This bugzilla service is closed. All entries have been migrated to https://gitlab.com/libeigen/eigen

Bug 210

Summary: gdb does not display variable sized matrices
Product: Eigen Reporter: Sameer Sheorey <ssameer>
Component: GeneralAssignee: Nobody <eigen.nobody>
Status: RESOLVED FIXED    
Severity: Unknown CC: gael.guennebaud, jacob.benoit.1
Priority: ---    
Version: 3.0   
Hardware: All   
OS: All   
Whiteboard:
Attachments:
Description Flags
Mercurial patch.
none
Mercurial patch (corrected) none

Description Sameer Sheorey 2011-03-02 16:04:03 UTC
Created attachment 113 [details]
Mercurial patch.

gdb gives an error when trying to display variable sized matrices using printers.py, since the size argument is not -0x1 instead of 10000. This patch to debug/gdb/printers.py fixes the issue.
Comment 1 Sameer Sheorey 2011-03-02 17:50:56 UTC
Created attachment 114 [details]
Mercurial patch (corrected)

Corrected error in previous patch.
Comment 2 Gael Guennebaud 2011-03-04 15:55:49 UTC
thanks for the patch. Indeed this file has not been updated since we changed
the value of Dynamic
Comment 3 Nobody 2019-12-04 10:26:33 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to gitlab.com's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.com/libeigen/eigen/issues/210.